Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 54680 - Demand-dialed PPP connections hang when started (again)
Summary: Demand-dialed PPP connections hang when started (again)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-16 09:28 UTC by Göran Uddeborg
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-11 19:27:02 UTC


Attachments (Terms of Use)
My modifications to make PPP startup work again. (deleted)
2001-10-16 09:33 UTC, Göran Uddeborg
no flags Details | Diff

Description Göran Uddeborg 2001-10-16 09:28:02 UTC
Description of Problem:
When I upgraded from initscripts 5.49 to 6.40 an old problem reappeared. 
For PPP interfaces using demand dialing, "ifup" hangs.

In the 5.49 version of ifup-ppp the DEMAND option modified the behaviour of
the script in some critical places.  This code apparently was lost
somewhere on the way to 6.40.  As far as I can understand it is still
needed.  At least for me, "ifup" hangs when I try to do "ifup ppp0".  And
consequently, the boot process don't run smoothly.
 
I modified ifup-ppp with some code from the 5.49, and my system appears to
be fine again.  I enclose the patch. (Beware, though, this is not very well
tested.)

Version-Release number of selected component (if applicable):
6.40-1

How Reproducible:
Always.

Steps to Reproduce:
1.  Set DEMAND=yes in one ifcfg-pppX
2.  Do "ifup pppX" for the same X.

Actual Results:
The ifup don't finish.

Expected Results:
I expect ifup to finish.  Apparently the boot scripts do too.

Comment 1 Göran Uddeborg 2001-10-16 09:33:50 UTC
Created attachment 34182 [details]
My modifications to make PPP startup work again.

Comment 2 Göran Uddeborg 2003-07-11 19:27:02 UTC
This works again with initscripts 7.24-2.92. (From Cambridge alpha 2.  Could
very well work with 7.14-1 from RH9 too, even if I can't easily verify right now.)


Note You need to log in before you can comment on or make changes to this bug.